(function () {
  const faye = new Faye.Client("/faye", { timeout: 120 });
  faye.subscribe("/drone/navdata", function (data) {
    $("#navdata").text(JSON.stringify(data, null, 2));
  });
  faye.subscribe("/drone/image", function (src) {
    $("#cam").attr({ src: src });
  });
  $("*[data-action]").on("mousedown", function (ev) {
    if (!$(this).is("[data-state]"))
      faye.publish("/drone/command", {
        action: $(this).attr("data-action"),
        speed: 0.3
      });
    else
      faye.publish("/drone/command", {
        action: $(this).attr("data-action")
      });
  });
  $("*[data-action]").on("mouseup", function (ev) {
    if (!$(this).is("[data-state]"))
      faye.publish("/drone/command", {
        action: $(this).attr("data-action"),
        speed: 0
      });
  });
}).call(this);